%global pkgname XML-Tiny

Name:           perl-XML-Tiny
Version:        2.06
Release:        3%{?dist}
Summary:        Simple lightweight parser for a subset of XML
License:        GPLv2+ or Artistic
URL:            http://search.cpan.org/dist/XML-Tiny/
Source0:        http://www.cpan.org/authors/id/D/DC/DCANTRELL/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
It is a simple lightweight parser for a subset of XML.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ARTISTIC.txt CHANGES GPL2.txt README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.06-2
- Perl 5.18 rebuild

* Tue Mar 08 2011 Christopher Meng <rpm@cicku.me> - 2.06-1
- Initial Package.
